SortedPairs
Date: 2011-06-15

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pawjaw.utils
Class SortedPairs

    java.lang.Object
      com.pawjaw.utils.SortedPairs

All Implemented Interfaces:
  java.lang.Iterable<double[]>, java.util.Iterator<double[]>

    public class SortedPairs

extends java.lang.Object
implements java.lang.Iterable<double[]>, java.util.Iterator<double[]>

Constructor Summary
`SortedPairs(int n)`

Method Summary
`void` | `add(double[] element)`
`double[]` | `first()`
`double[]` | `get(int p)`
`boolean` | `hasNext()`
`void` | `increment(int pi)`
`java.util.Iterator<double[]>` | `iterator()`
`double[]` | `last()`
`double[]` | `next()`
`void` | `remove()`
`void` | `reset()`
`int` | `size()`
`SortedPairs` | `sortAscending()`
`SortedPairs` | `sortDescending()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedPairs

    public SortedPairs(int n)

Method Detail

### add

    public void add(double[] element)

### size

    public int size()

### sortDescending

    public SortedPairs sortDescending()

### sortAscending

    public SortedPairs sortAscending()

### get

    public double[] get(int p)

### first

    public double[] first()

### last

    public double[] last()

### next

    public double[] next()

  Specified by:
    `next` in interface `java.util.Iterator<double[]>`

### reset

    public void reset()

### increment

    public void increment(int pi)

### iterator

    public java.util.Iterator<double[]> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<double[]>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<double[]>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<double[]>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD